Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159507 - rpm --initdb error: can't create transaction lock as non-root user.
Summary: rpm --initdb error: can't create transaction lock as non-root user.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 08:59 UTC by Stephen Rankin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-18 12:50:56 UTC


Attachments (Terms of Use)

Description Stephen Rankin 2005-06-03 08:59:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
rpm --initdb error: can't create transaction lock as non-root user.


Version-Release number of selected component (if applicable):
RPM version 4.3.2

How reproducible:
Always

Steps to Reproduce:
1. setup ~/.rpmmacros as non-root user and set %_topdir, %_tmppath and %_dbpath.
2. Create correct directory structure under %_topdir.
3. run rpm --initdb


Actual Results:  error: can't create transaction lock

Expected Results:  Initiate rpm database.

Additional info:

Works on Red Hat Enterprise Linux WS release 3 (Taroon Update 5) with rpm-4.2.3-21_nonptl using same setup.

Comment 1 Henry S. Thompson 2005-09-18 12:43:24 UTC
So this did use to work under RH9, and is important functionality for those of 
use who have centrally managed machines for which we don't have root access.  
It's still valuable to be able to do private rpm installs, and using your own 
dbpath used to allow that.

Comment 2 Jeff Johnson 2005-09-18 12:49:34 UTC
The path to the file is configurable:
    %_rpmlock_path %{_dbpath}/__db.000
in rpm-4.4.2. Reconfigure, put the file in a directory
where you have permission to create a write the path
used for fcntl locking.


Note You need to log in before you can comment on or make changes to this bug.